<template>
  <div class="mh-layout">
    <mh-header class="mh-header" />
    <div class="mh-content">
      <router-view />
    </div>
    <mh-footer class="mh-footer" />
  </div>
</template>

<script>
import MhHeader from '@/components/layout/header'
import MhFooter from '@/components/layout/footer'

export default {
  name: 'App',

  components: { MhHeader, MhFooter }
}
</script>

<style lang="scss" scoped>
.mh-layout {
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

.mh-content {
  flex-grow: 1;
}
</style>
